
Foreman - Refactor #35431

Update spring to version 4

08/25/2022 10:29 AM - Ewoud Kohl van Wijngaarden

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9328

  

Description

Currently version 2 is used, but version 3 brings Ruby 3 support. Version 4 is the latest. The only backwards incompatible changes

they mention (https://github.com/rails/spring/blob/main/CHANGELOG.md) are requiring Ruby >= 2.7 and Rails >= 6.0, which is not a

problem for Foreman.

History

#1 - 08/25/2022 10:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9381 added

#2 - 09/09/2022 10:06 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9418 added

#3 - 09/28/2022 09:50 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#4 - 12/29/2022 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/9328)

#5 - 07/07/2023 02:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#6 - 11/06/2023 01:47 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9381, https://github.com/theforeman/foreman/pull/9418,

https://github.com/theforeman/foreman/pull/9328)

#7 - 11/16/2023 05:42 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#8 - 02/24/2024 01:44 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9328)

#9 - 02/29/2024 10:24 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added
